## kf6-kwidgetsaddons 6.6.0

=== src/CMakeLists.txt ===
include(ECMPoQmTools)

add_library(KF6WidgetsAddons)
add_library(KF6::WidgetsAddons ALIAS KF6WidgetsAddons)

set_target_properties(KF6WidgetsAddons PROPERTIES
    VERSION     ${KWIDGETSADDONS_VERSION}
    SOVERSION   ${KWIDGETSADDONS_SOVERSION}
    EXPORT_NAME WidgetsAddons
)

ecm_create_qm_loader(KF6WidgetsAddons kwidgetsaddons6_qt)

target_sources(KF6WidgetsAddons PRIVATE
    common_helpers.cpp
    common_helpers_p.h
    fonthelpers_p.h
    kacceleratormanager.cpp
    kacceleratormanager.h
    kacceleratormanager_p.h
    kactionmenu.cpp
    kactionmenu.h
    kactionselector.cpp
    kactionselector.h
    kanimatedbutton.cpp
    kanimatedbutton.h
    kassistantdialog.cpp
    kassistantdialog.h
    kbusyindicatorwidget.cpp
    kbusyindicatorwidget.h
    kcapacitybar.cpp
    kcapacitybar.h
    kcharselect.cpp
    kcharselectdata.cpp
    kcharselectdata_p.h
    kcharselect.h
    kcharselect_p.h
    kcollapsiblegroupbox.cpp
    kcollapsiblegroupbox.h
    kcolorbutton.cpp
    kcolorbutton.h
    kcolorcombo.cpp
    kcolorcombo.h
    kcolumnresizer.cpp
    kcolumnresizer.h
    kcontextualhelpbutton.cpp
    kcontextualhelpbutton.h
    kcursor.cpp
    kcursor.h
    kcursor_p.h
    kdatecombobox.cpp
    kdatecombobox.h
    kdatepicker.cpp
    kdatepicker.h
    kdatepicker_p.h
    kdatepickerpopup.cpp
    kdatepickerpopup.h
    kdaterangecontrol.cpp
    kdaterangecontrol_p.h
    kdatetable.cpp
    kdatetable_p.h
    kdatetimeedit.cpp
    kdatetimeedit.h
    kdragwidgetdecorator.cpp
    kdragwidgetdecorator.h
    kdualaction.cpp
    kdualaction.h
    kdualaction_p.h
    keditlistwidget.cpp
    keditlistwidget.h
    kfontaction.cpp
    kfontaction.h
    kfontchooser.cpp
    kfontchooserdialog.cpp
    kfontchooserdialog.h
    kfontchooser.h
    kfontrequester.cpp
    kfontrequester.h
    kfontsizeaction.cpp
    kfontsizeaction.h
    kguiitem.cpp
    kguiitem.h
    kled.cpp
    kled.h
    klineediteventhandler.h
    klineediteventhandler.cpp
    kmessagebox.cpp
    kmessageboxdontaskagaininterface.h
    kmessagebox.h
    kmessageboxnotifyinterface.h
    kmessagebox_p.cpp
    kmessagebox_p.h
    kmessagedialog.cpp
    kmessagedialog.h
    kmessagewidget.cpp
    kmessagewidget.h
    kmimetypechooser.cpp
    kmimetypechooser.h
    kmimetypeeditor.cpp
    kmimetypeeditor.h
    kmultitabbar.cpp
    kmultitabbar.h
    kmultitabbar_p.h
    knewpassworddialog.cpp
    knewpassworddialog.h
    knewpasswordwidget.cpp
    knewpasswordwidget.h
    kpagedialog.cpp
    kpagedialog.h
    kpagedialog_p.h
    kpagemodel.cpp
    kpagemodel.h
    kpagemodel_p.h
    kpageview.cpp
    kpageview.h
    kpageview_p.cpp
    kpageview_p.h
    kpagewidget.cpp
    kpagewidget.h
    kpagewidgetmodel.cpp
    kpagewidgetmodel.h
    kpagewidgetmodel_p.h
    kpagewidget_p.h
    kpassword.h
    kpassworddialog.cpp
    kpassworddialog.h
    kpasswordlineedit.cpp
    kpasswordlineedit.h
    kpixmapregionselectordialog.cpp
    kpixmapregionselectordialog.h
    kpixmapregionselectorwidget.cpp
    kpixmapregionselectorwidget.h
    kpixmapsequence.cpp
    kpixmapsequence.h
    kpixmapsequenceoverlaypainter.cpp
    kpixmapsequenceoverlaypainter.h
    kpixmapsequencewidget.cpp
    kpixmapsequencewidget.h
    kpopupframe.cpp
    kpopupframe.h
    kratingpainter.cpp
    kratingpainter.h
    kratingwidget.cpp
    kratingwidget.h
    krecentfilesmenu.cpp
    krecentfilesmenu.h
    kruler.cpp
    kruler.h
    kselectaction.cpp
    kselectaction.h
    kselectaction_p.h
    kselector.cpp
    kselector.h
    kseparator.cpp
    kseparator.h
    ksplittercollapserbutton.cpp
    ksplittercollapserbutton.h
    ksqueezedtextlabel.cpp
    ksqueezedtextlabel.h
    kstandardguiitem.cpp
    kstandardguiitem.h
    kstyleextensions.cpp
    kstyleextensions.h
    ktimecombobox.cpp
    ktimecombobox.h
    ktitlewidget.cpp
    ktitlewidget.h
    ktoggleaction.cpp
    ktoggleaction.h
    ktoggleaction_p.h
    ktogglefullscreenaction.cpp
    ktogglefullscreenaction.h
    ktoolbarlabelaction.cpp
    ktoolbarlabelaction.h
    ktoolbarpopupaction.cpp
    ktoolbarpopupaction.h
    ktoolbarspaceraction.cpp
    ktoolbarspaceraction.h
    ktooltipwidget.cpp
    ktooltipwidget.h
    ktwofingerswipe.cpp
    ktwofingerswipe.h
    ktwofingertap.cpp
    ktwofingertap.h
    kurllabel.cpp # Not good enough quality. Needs to use QUrl instead of QString and should not inherit QLabel, but hold it as a member instead.
    kurllabel.h
    kviewstatemaintainerbase.cpp
    kviewstatemaintainerbase.h
    kviewstateserializer.cpp
    kviewstateserializer.h
    kxyselector.cpp
    kxyselector.h
    klineediturldropeventfilter.cpp
    klineediturldropeventfilter.h
    kjobwidgets.cpp
    kjobwidgets.h

    icons.qrc
)

set(kwidgetsaddons_UI_SRCS)
qt_wrap_ui(kwidgetsaddons_UI_SRCS
   kdatetimeedit.ui
   knewpassworddialog.ui
   knewpasswordwidget.ui
   kpassworddialog.ui
   kfontchooserwidget.ui
)
target_sources(KF6WidgetsAddons PRIVATE ${kwidgetsaddons_UI_SRCS})

ecm_qt_declare_logging_category(KF6WidgetsAddons
    HEADER loggingcategory.h
    IDENTIFIER KWidgetsAddonsLog
    CATEGORY_NAME kf.kwidgetsaddons
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KWidgetsAddons"
    EXPORT KWIDGETSADDONS
)

ecm_generate_export_header(KF6WidgetsAddons
    BASE_NAME KWidgetsAddons
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 6.5
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_link_libraries(KF6WidgetsAddons PUBLIC Qt6::Widgets)

target_include_directories(KF6WidgetsAddons INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KWidgetsAddons>")

ecm_generate_headers(KWidgetsAddons_HEADERS
  HEADER_NAMES
  KAcceleratorManager
  KAnimatedButton
  KBusyIndicatorWidget
  KCharSelect
  KCollapsibleGroupBox
  KColorButton
  KColumnResizer
  KContextualHelpButton
  KDateComboBox
  KDatePicker
  KDatePickerPopup
  KDateTimeEdit
  KDragWidgetDecorator
  KDualAction
  KFontAction
  KFontChooser
  KFontChooserDialog
  KFontSizeAction
  KGuiItem
  KLed
  KMessageBox
  KMessageBoxDontAskAgainInterface
  KMultiTabBar,KMultiTabBarButton,KMultiTabBarTab
  KNewPasswordWidget
  KPopupFrame
  KSelectAction
  KStandardGuiItem
  KTimeComboBox
  KUrlLabel
  KCapacityBar
  KFontRequester
  KPasswordDialog
  KRuler
  KRecentFilesMenu
  KSelector,KGradientSelector
  KTitleWidget
  KXYSelector
  KSeparator
  KSqueezedTextLabel
  KToggleAction
  KToggleFullScreenAction
  KViewStateSerializer
  KViewStateMaintainerBase
  KEditListWidget
  KCursor
  KRatingPainter
  KRatingWidget
  KActionSelector
  KColorCombo
  KActionMenu
  KToolBarLabelAction
  KToolBarPopupAction
  KToolBarSpacerAction
  KPageDialog
  KPageModel
  KPageView
  KPageWidget
  KPageWidgetModel,KPageWidgetItem
  KAssistantDialog
  KMessageWidget
  KMessageDialog
  KNewPasswordDialog
  KLineEditUrlDropEventFilter
  KLineEditEventHandler
  KPassword
  KPasswordLineEdit
  KPixmapSequence
  KPixmapSequenceOverlayPainter
  KPixmapSequenceWidget
  KPixmapRegionSelectorDialog
  KPixmapRegionSelectorWidget
  KMimeTypeChooser,KMimeTypeChooserDialog
  KMimeTypeEditor
  KMessageBoxNotifyInterface
  KSplitterCollapserButton
  KStyleExtensions
  KToolTipWidget
  KTwoFingerTap
  KTwoFingerSwipe
  KJobWidgets
  REQUIRED_HEADERS KWidgetsAddons_HEADERS
)

install(TARGETS KF6WidgetsAddons EXPORT KF6WidgetsAddonsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${KWidgetsAddons_HEADERS}
  ${CMAKE_CURRENT_BINARY_DIR}/kwidgetsaddons_export.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KWidgetsAddons COMPONENT Devel
)

qt_add_resources(KF6WidgetsAddons "kcharselect-data"
    PREFIX "/kf6/kcharselect/"
    FILES kcharselect-data
)

if (BUILD_QCH)
    ecm_add_qch(
        KF6WidgetsAddons_QCH
        NAME KWidgetsAddons
        BASE_NAME KF6WidgetsAddons
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KWidgetsAddons_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KWIDGETSADDONS_EXPORT
            KWIDGETSADDONS_DEPRECATED_EXPORT
            KWIDGETSADDONS_DEPRECATED
            "KWIDGETSADDONS_DEPRECATED_VERSION(x, y, t)"
            "KWIDGETSADDONS_DEPRECATED_VERSION_BELATED(x, y, tx, ty, t)"
            "KWIDGETSADDONS_ENUMERATOR_DEPRECATED_VERSION(x, y, t)"
            "KWIDGETSADDONS_ENUMERATOR_DEPRECATED_VERSION_BELATED(x, y, tx, ty, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

ecm_qt_install_logging_categories(
    EXPORT KWIDGETSADDONS
    FILE kwidgetsaddons.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

## kf6-kwidgetsaddons 6.3.0

=== debian/changelog ===
kf6-kwidgetsaddons (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:54:33 +0200

kf6-kwidgetsaddons (6.0.0-2) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 14 May 2024 07:35:04 +0200

kf6-kwidgetsaddons (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 02 Apr 2024 01:21:01 +0200

kwidgetsaddons (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Fix FTCBFS: Build designer plugin, thx to Helmut Grohne (Closes:
    #1023893).

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 10:32:36 +0100

kwidgetsaddons (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * Add/update David Faure in upstream signing keys.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:30 +0200

kwidgetsaddons (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:50 +0100

kwidgetsaddons (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:23 +0100

kwidgetsaddons (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:02 +0100

kwidgetsaddons (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.101.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:23 +0100

kwidgetsaddons (5.100.0-2) unstable; urgency=medium

  * Team upload.
  * Update the symbols files from the logs of buildds.
  * Modernize the building more:
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically, removing pkg-kde-tools
    - drop the manually specified pkgkde_symbolshelper addon for dh
  * Remove breaks/replaces for existing packages with versions older than
    oldstable.

 -- Pino Toscano <pino@debian.org>  Sun, 20 Nov 2022 17:12:23 +0100

kwidgetsaddons (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.100.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:57 +0100

kwidgetsaddons (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:37 +0200

kwidgetsaddons (5.97.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Tue, 16 Aug 2022 07:01:22 +0200

kwidgetsaddons (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).
  * Update symbols from build for 5.97.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:29 +0200

kwidgetsaddons (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Shorten synopsis of libkf5widgetsaddons-doc

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:32:58 +0200

kwidgetsaddons (5.94.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols file from the logs of buildds.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Thu, 26 May 2022 07:55:58 +0200

kwidgetsaddons (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).
  * Update symbols from build for 5.94.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:03 +0200

kwidgetsaddons (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.92.0).
  * Update the list of installed files.
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:44 +0200

kwidgetsaddons (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:41 +0100

kwidgetsaddons (5.88.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed


=== debian/control ===
Source: kf6-kwidgetsaddons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kwidgetsaddons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwidgetsaddons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwidgetsaddons.git
Rules-Requires-Root: no

Package: libkf6widgetsaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: add-on widgets and classes for applications that use the Qt Widgets module
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.
 .
 This package contains the translations.

Package: libkf6widgetsaddons-dev
Section: libdevel
Architecture: any
Depends: libkf6widgetsaddons6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6widgetsaddons-doc (= ${source:Version}),
Description: development files for kwidgetsaddons
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.
 .
 Contains development files for kwidgetsaddons.

Package: libkf6widgetsaddons-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: documentation for kwidgetsaddons
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6widgetsaddons6
Architecture: any
Multi-Arch: same
Depends: libkf6widgetsaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: add-on widgets and classes for applications that use the Qt Widgets module
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.

## kf6-kwidgetsaddons 6.6.0

=== debian/changelog ===
kf6-kwidgetsaddons (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.6.0.
  * Revert upstream commit making the font selection dialog crash.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:09:00 +0200

kf6-kwidgetsaddons (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.
  * Update symbols file from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Aug 2024 11:45:02 +0200

kf6-kwidgetsaddons (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:00 +0200

kf6-kwidgetsaddons (6.4.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 16:00:22 +0200

kf6-kwidgetsaddons (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.4.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:13 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),

## kf6-kwidgetsaddons 6.9.0

=== debian/changelog ===
kf6-kwidgetsaddons (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)
  * Drop patches.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:49:36 +0000

kf6-kwidgetsaddons (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * Drop no longer needed revert_upstream_81090336 patch.
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:39:11 +0000

kf6-kwidgetsaddons (6.6.0-0ubuntu3) oracular; urgency=medium

  * Sync patch from Debian to fix crashes when choose font button is
    clicked. (LP: #2082074) https://bugs.kde.org/493060

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Oct 2024 06:55:00 +0100

kf6-kwidgetsaddons (6.6.0-0ubuntu2) oracular; urgency=medium

  * Fix last upload with updates lost in git my merge.
    - Refresh symbols all arches.

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Sep 2024 17:46:58 +0100

kf6-kwidgetsaddons (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:08:21 +0100

kf6-kwidgetsaddons (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:25:00 +0100

kf6-kwidgetsaddons (6.4.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jul 2024 09:50:48 +0100

kf6-kwidgetsaddons (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:36:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kwidgetsaddons
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,14 +10,14 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kwidgetsaddons
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwidgetsaddons
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwidgetsaddons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwidgetsaddons
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwidgetsaddons
 Rules-Requires-Root: no
 
 Package: libkf6widgetsaddons-data

## kf6-kwidgetsaddons 6.10.0

=== debian/changelog ===
kf6-kwidgetsaddons (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * Drop revert of upstream commit that was causing a crash on font
    selection, now fixed upstream.
  * Refresh patches.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.10.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:23:35 +0100

kf6-kwidgetsaddons (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:00:16 +0100

kf6-kwidgetsaddons (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:28 -0600

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: kf6-kwidgetsaddons
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kwidgetsaddons
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwidgetsaddons
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwidgetsaddons
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwidgetsaddons
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwidgetsaddons.git
 Rules-Requires-Root: no
 
 Package: libkf6widgetsaddons-data
@@ -36,7 +35,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6widgetsaddons6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6widgetsaddons-doc (= ${source:Version}),

## kf6-kwidgetsaddons 6.11.0

=== debian/changelog ===
kf6-kwidgetsaddons (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.11.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 16:59:32 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),

## kf6-kwidgetsaddons 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
project(KWidgetsAddons VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.12.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

set(REQUIRED_QT_VERSION 6.6.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)

# For the Python bindings
find_package(Python3 3.9 COMPONENTS Interpreter Development)
find_package(Shiboken6)
find_package(PySide6)

include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMPoQmTools)
include(ECMQtDeclareLoggingCategory)
include(CMakeDependentOption)

set(kwidgetsaddons_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kwidgetsaddons_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KWIDGETSADDONS
                        VERSION_HEADER "${kwidgetsaddons_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6WidgetsAddonsConfigVersion.cmake"
                        SOVERSION 6)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

cmake_dependent_option(BUILD_PYTHON_BINDINGS "Generate Python Bindings" ON "TARGET Shiboken6::libshiboken AND TARGET PySide6::pyside6" OFF)
add_feature_info(PYTHON_BINDINGS ${BUILD_PYTHON_BINDINGS} "Python bindings")

ecm_install_po_files_as_qm(poqm)

configure_file(test-config.h.in ${CMAKE_CURRENT_BINARY_DIR}/test-config.h)

ecm_set_disabled_deprecation_versions(
    QT 6.8
)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
    add_subdirectory(examples)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6WidgetsAddons")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6WidgetsAddons_QCH
        FILE KF6WidgetsAddonsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6WidgetsAddonsQchTargets.cmake\")")
endif()

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6WidgetsAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF6WidgetsAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF6WidgetsAddonsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF6WidgetsAddonsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF6WidgetsAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6WidgetsAddonsTargets.cmake NAMESPACE KF6:: )

install(FILES
  ${kwidgetsaddons_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KWidgetsAddons COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

if (BUILD_PYTHON_BINDINGS)
    include(ECMGeneratePythonBindings)
    add_subdirectory(python)
endif()

=== debian/changelog ===
kf6-kwidgetsaddons (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:55:25 +0000

kf6-kwidgetsaddons (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:50:37 +0000

kf6-kwidgetsaddons (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Update symbols from build logs.
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:21:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: kf6-kwidgetsaddons
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kwidgetsaddons
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwidgetsaddons
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwidgetsaddons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwidgetsaddons
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwidgetsaddons
 Rules-Requires-Root: no
 
 Package: libkf6widgetsaddons-data
@@ -35,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6widgetsaddons6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6widgetsaddons-doc (= ${source:Version}),

## kf6-kwidgetsaddons 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.13.0") # handled by release scripts
 project(KWidgetsAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.13.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -57,7 +57,7 @@
 configure_file(test-config.h.in ${CMAKE_CURRENT_BINARY_DIR}/test-config.h)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8
+    QT 6.9
 )
 
 add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,8 @@
     kactionmenu.h
     kactionselector.cpp
     kactionselector.h
+    kadjustingscrollarea.cpp
+    kadjustingscrollarea.h
     kanimatedbutton.cpp
     kanimatedbutton.h
     kassistantdialog.cpp
@@ -235,6 +237,7 @@
   HEADER_NAMES
   KAcceleratorManager
   KAnimatedButton
+  KAdjustingScrollArea
   KBusyIndicatorWidget
   KCharSelect
   KCollapsibleGroupBox
@@ -324,10 +327,12 @@
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KWidgetsAddons COMPONENT Devel
 )
 
-qt_add_resources(KF6WidgetsAddons "kcharselect-data"
+qt6_add_resources(KF6WidgetsAddons "kcharselect-data"
     PREFIX "/kf6/kcharselect/"
     FILES kcharselect-data
-)
+    OUTPUT_TARGETS _rcc_target
+)
+install(TARGETS ${_rcc_target} EXPORT KF6WidgetsAddonsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
 
 if (BUILD_QCH)
     ecm_add_qch(

=== debian/changelog ===
kf6-kwidgetsaddons (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:33:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: kf6-kwidgetsaddons
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kwidgetsaddons
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwidgetsaddons
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwidgetsaddons
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwidgetsaddons
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwidgetsaddons.git
 Rules-Requires-Root: no
 
 Package: libkf6widgetsaddons-data
@@ -36,7 +35,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6widgetsaddons6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6widgetsaddons-doc (= ${source:Version}),

## kf6-kwidgetsaddons 6.14.0

=== debian/changelog ===
kf6-kwidgetsaddons (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 07:01:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: kf6-kwidgetsaddons
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
+               extra-cmake-modules (>= 6.14.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kwidgetsaddons
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwidgetsaddons
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwidgetsaddons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwidgetsaddons
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwidgetsaddons
 Rules-Requires-Root: no
 
 Package: libkf6widgetsaddons-data
@@ -35,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6widgetsaddons6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6widgetsaddons-doc (= ${source:Version}),

## kf6-kwidgetsaddons 6.15.0

=== debian/changelog ===
kf6-kwidgetsaddons (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.
  * debian/rules: Do not build python bindings.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:36:06 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.14.0~),
+               extra-cmake-modules (>= 6.15.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),

## kf6-kwidgetsaddons 6.16.0

=== debian/changelog ===
kf6-kwidgetsaddons (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:48:55 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.15.0~),
+               extra-cmake-modules (>= 6.16.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),

## kf6-kwidgetsaddons 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.13.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
 project(KWidgetsAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.13.0  NO_MODULE)
+find_package(ECM 6.17.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -18,19 +18,29 @@
 include(KDEGitCommitHooks)
 include(ECMDeprecationSettings)
 
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
 
-# For the Python bindings
-find_package(Python3 3.9 COMPONENTS Interpreter Development)
-find_package(Shiboken6)
-find_package(PySide6)
+option(BUILD_PYTHON_BINDINGS "Build Python bindings" ON)
+
+# Only Linux and FreeBSD CI has the relevant packages
+if (ANDROID OR APPLE OR WIN32 OR HAIKU OR NOT BUILD_SHARED_LIBS)
+    set(BUILD_PYTHON_BINDINGS OFF)
+endif()
+
+if (BUILD_PYTHON_BINDINGS)
+    find_package(Python3 3.9 REQUIRED COMPONENTS Interpreter Development)
+    find_package(Shiboken6 REQUIRED)
+    find_package(PySide6 REQUIRED)
+endif()
+
+add_feature_info(PYTHON_BINDINGS ${BUILD_PYTHON_BINDINGS} "Python bindings")
 
 include(ECMGenerateExportHeader)
 include(CMakePackageConfigHelpers)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
-include(ECMAddQch)
+include(ECMGenerateQDoc)
 include(ECMPoQmTools)
 include(ECMQtDeclareLoggingCategory)
 include(CMakeDependentOption)
@@ -43,21 +53,15 @@
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
-
 cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
 add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")
-
-cmake_dependent_option(BUILD_PYTHON_BINDINGS "Generate Python Bindings" ON "TARGET Shiboken6::libshiboken AND TARGET PySide6::pyside6" OFF)
-add_feature_info(PYTHON_BINDINGS ${BUILD_PYTHON_BINDINGS} "Python bindings")
 
 ecm_install_po_files_as_qm(poqm)
 
 configure_file(test-config.h.in ${CMAKE_CURRENT_BINARY_DIR}/test-config.h)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9
+    QT 6.10
 )
 
 add_subdirectory(src)
@@ -69,16 +73,6 @@
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6WidgetsAddons")
-
-if (BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6WidgetsAddons_QCH
-        FILE KF6WidgetsAddonsQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6WidgetsAddonsQchTargets.cmake\")")
-endif()
 
 configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6WidgetsAddonsConfig.cmake.in"
                               "${CMAKE_CURRENT_BINARY_DIR}/KF6WidgetsAddonsConfig.cmake"

=== debian/changelog ===
kf6-kwidgetsaddons (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:18:36 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
